--[[
    Zacznijmy wiecej wymagac ~Xyrusek
    AUTOR: Xyrusek    
--]]


--[[
    SKALOWANIE    
--]]

local sx, sy = guiGetScreenSize() 
local zoom = sx < 1920 and math.min(2, 1920 / sx) or 1

--[[
    KOD    
--]]

local fonts = {}

function getFont(fontFamily, fontType, fontSize)
    if not fonts[fontFamily] then fonts[fontFamily] = {} end
    if not fonts[fontFamily][fontType] then fonts[fontFamily][fontType] = {} end
    if not fonts[fontFamily][fontType][fontSize] then
        if fileExists("files/"..fontFamily.."/"..fontType..".ttf") then
            fonts[fontFamily][fontType][fontSize] = dxCreateFont("files/"..fontFamily.."/"..fontType..".ttf", fontSize)
        end
    end
    return (fonts[fontFamily][fontType][fontSize] or "default")
end